Bug 3468 - trigger unable to process boolean result
: trigger unable to process boolean result
Status: RESOLVED FIXED
: MDS4
wsrf_trigger
: 4.0.0
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-06-10 17:11 by
Modified: 2005-07-20 16:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-10 17:11:46
Hi,

  When I use wsrf-query to do "//result/status='DOWN'", I get
result of true or false. But when I use that in my trigger 
condition, it flags error,

2005-06-09 16:34:16,042 ERROR impl.TriggerResource [Thread-16,deliver:341] When
evaluating 
XPath rule: org.apache.xpath.XPathException: Can not convert #STRING to a NodeList!
2005-06-09 16:34:16,045 ERROR impl.TriggerResource [Thread-16,deliver:341] When
evaluating 
XPath rule: org.apache.xpath.XPathException: Can not convert #STRING to a NodeList!


thanks
mei
------- Comment #1 From 2005-07-20 16:41:43 -------
Fixed for 4.0.1